#include <bits/stdc++.h>
using namespace std;
int N,K,A[20007],madjkarta;
int main(){
  cin >>N>>K;
  for(int i=1;i<=N;i++){
    cin >>A[i];
  }
  for(int i=1;i<=N;i++){
    if(A[i]==K){
    if(i!=N){madjkarta=A[i+1];}
    else {madjkarta=A[1];}
   }
  }
    cout<<madjkarta<<endl;


 return 0;
}